Skip to navigation

Get Tms Connection

Get detailed information about a specific TMS connection.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tms_connection_idstringRequiredformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
Unique identifier for the TMS connection.
created_atdatetime
Timestamp when the connection was created.
updated_atdatetime
Timestamp when the connection was last updated.
tms_account_idstringformat: "uuid"
The Catena ID of the TMS account that owns this connection.
tms_idstringformat: "uuid"

The ID of the Transportation Management System (TMS).

source_nameenum
The name of the TMS integration used for this connection.
Allowed values:
credentialsobject
The connection credentials used to authenticate with the TMS.
statusenum
The current status of the connection.
descriptionstring or null
A description of the connection. Useful when the TMS account has multiple connections to the same TMS.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error